# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class WorksheetEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<WorksheetEntry>
                  com.google.gdata.data.spreadsheet.WorksheetEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class WorksheetEntry

extends BaseEntry<WorksheetEntry>

One worksheet, when listing all worksheets within a spreadsheet. For instance, this might list Sheet1, Sheet2, Sheet3, etc.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Category used to label entries that contain worksheet data.
`static java.lang.String` `KIND` Kind category term used to label the entries that contains worksheet data.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`WorksheetEntry()` Constructs a new uninitialized entry to be populated by the GData parsers.
`WorksheetEntry(BaseEntry sourceEntry)` Constructs a new entry by doing a shallow copy from another BaseEntry instance.
`WorksheetEntry(int rowCount, int colCount)` Constructs a new entry with the given row count and column count

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares any extensions.
`java.net.URL` `getCellFeedUrl()` Gets the URL for this worksheet's cells feed.
`int` `getColCount()` Gets the total number of columns.
`java.net.URL` `getListFeedUrl()` Gets the URL for this worksheet's list feed.
`int` `getRowCount()` Gets the total number of rows.
`void` `setColCount(int count)` Sets the total number of columns.
`void` `setRowCount(int count)` Sets the total number of rows.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Kind category term used to label the entries that contains worksheet data.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Category used to label entries that contain worksheet data.

Constructor Detail

### WorksheetEntry

    public WorksheetEntry()

  Constructs a new uninitialized entry to be populated by the GData parsers.

### WorksheetEntry

    public WorksheetEntry(int rowCount,
                          int colCount)

  Constructs a new entry with the given row count and column count

  Parameters:
    `rowCount` - the number of rows in the worksheet
    `colCount` - the number of columns in a worksheet

### WorksheetEntry

    public WorksheetEntry(BaseEntry sourceEntry)

  Constructs a new entry by doing a shallow copy from another BaseEntry instance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares any extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getListFeedUrl

    public java.net.URL getListFeedUrl()

  Gets the URL for this worksheet's list feed.

  You can then create a query using this URL to query this worksheet's rows, using the very powerful query model.

  Returns:
    a URL to get a feed of worksheets

### getCellFeedUrl

    public java.net.URL getCellFeedUrl()

  Gets the URL for this worksheet's cells feed.

  With this feed, you can query for arbitrary ranges of cells.

  Returns:
    a URL to the cells feed

### getRowCount

    public int getRowCount()

  Gets the total number of rows. This refers to the hard bound on rows. It is possible that your spreadsheet has many, many empty rows, all of which are counted in this count. Column positions 1 to getRowCount() are valid.

### setRowCount

    public void setRowCount(int count)

  Sets the total number of rows. If the new number of rows is greater than the old, (new-old) blank rows will be appended to the end. If the new number of rows is less than the old, then (old-new) rows will be removed from the end which will DELETE ALL DATE IN DELETED ROWS.

  Parameters:
    `count` - the new row count.

### getColCount

    public int getColCount()

  Gets the total number of columns. This refers to the hard bound on columns. It is possible that your spreadsheet has many empty columns, all of which are counted in this count. Column positions 1 to getColCount() are valid.

### setColCount

    public void setColCount(int count)

  Sets the total number of columns. If the new number of columns is greater than the old, (new-old) blank columns will be appended to the end. If the new number of columns is less than the old, then (old-new) columns will be removed from the end which will DELETE ALL DATE IN DELETED COLUMNS.

  Parameters:
    `count` - the new column count.